{
  "name": "mpm",
  "version": "0.0.0",
  "description": "Description for mpm",
  "private": true,
  "license": "UNLICENSED",
  "cacheDirectories": [
    "node_modules"
  ],
  "dependencies": {
    "@angular/animations": "4.3.2",
    "@angular/common": "4.3.2",
    "@angular/compiler": "4.3.2",
    "@angular/core": "4.3.2",
    "@angular/forms": "4.3.2",
    "@angular/http": "4.3.2",
    "@angular/platform-browser": "4.3.2",
    "@angular/platform-browser-dynamic": "4.3.2",
    "@angular/router": "4.3.2",
    "@ng-bootstrap/ng-bootstrap": "1.0.0-beta.4",
    "bootstrap": "4.0.0-beta",
    "core-js": "2.4.1",
    "file-saver": "^1.3.3",
    "font-awesome": "4.7.0",
    "jquery": "3.2.1",
    "lodash": "^4.17.4",
    "ng-jhipster": "0.2.12",
    "ng2-archwizard": "^1.7.0",
    "ng2-charts": "^1.5.0",
    "ng2-currency-mask": "^4.2.0",
    "ng2-webstorage": "1.8.0",
    "ngx-bootstrap": "2.0.2",
    "ngx-cookie": "1.0.0",
    "ngx-infinite-scroll": "0.5.1",
    "primeng": "4.3.0",
    "reflect-metadata": "0.1.10",
    "roboto-fontface": "^0.8.0",
    "rxjs": "5.4.2",
    "simple-line-icons": "^2.4.1",
    "sockjs-client": "1.1.4",
    "swagger-ui": "2.2.10",
    "tether": "1.4.0",
    "webstomp-client": "1.0.6",
    "xlsx": "0.11.10",
    "zone.js": "0.8.16"
  },
  "devDependencies": {
    "@angular/cli": "1.2.6",
    "@angular/compiler-cli": "4.3.2",
    "@types/jasmine": "2.5.53",
    "@types/lodash": "^4.14.80",
    "@types/node": "8.0.18",
    "angular2-template-loader": "0.6.2",
    "awesome-typescript-loader": "3.2.2",
    "browser-sync": "2.18.13",
    "browser-sync-webpack-plugin": "1.2.0",
    "codelyzer": "3.1.2",
    "copy-webpack-plugin": "4.0.1",
    "css-loader": "0.28.4",
    "exports-loader": "0.6.4",
    "extract-text-webpack-plugin": "3.0.0",
    "file-loader": "0.11.2",
    "generator-jhipster": "4.8.2",
    "html-loader": "0.5.0",
    "html-webpack-plugin": "2.30.1",
    "jasmine-core": "2.7.0",
    "karma": "1.7.0",
    "karma-chrome-launcher": "2.2.0",
    "karma-coverage": "1.1.1",
    "karma-intl-shim": "1.0.3",
    "karma-jasmine": "1.1.0",
    "karma-junit-reporter": "1.2.0",
    "karma-notify-reporter": "1.0.1",
    "karma-phantomjs-launcher": "1.0.4",
    "karma-remap-istanbul": "0.6.0",
    "karma-sourcemap-loader": "0.3.7",
    "karma-webpack": "2.0.4",
    "merge-jsons-webpack-plugin": "1.0.11",
    "ngc-webpack": "3.1.1",
    "node-sass": "4.5.3",
    "phantomjs-prebuilt": "2.1.14",
    "postcss-loader": "2.0.6",
    "proxy-middleware": "0.15.0",
    "rimraf": "2.6.1",
    "sass-loader": "^6.0.6",
    "sourcemap-istanbul-instrumenter-loader": "0.2.0",
    "string-replace-webpack-plugin": "0.1.3",
    "style-loader": "0.18.2",
    "to-string-loader": "1.1.5",
    "tslint": "5.5.0",
    "tslint-loader": "3.5.3",
    "typescript": "2.4.2",
    "uglifyjs-webpack-plugin": "1.0.0-beta.2",
    "web-app-manifest-loader": "0.1.1",
    "webpack": "3.5.6",
    "webpack-dev-server": "2.8.1",
    "webpack-merge": "4.1.0",
    "webpack-notifier": "1.5.0",
    "webpack-visualizer-plugin": "0.1.11",
    "write-file-webpack-plugin": "4.1.0",
    "xml2js": "0.4.17"
  },
  "engines": {
    "node": ">=6.9.0"
  },
  "scripts": {
    "lint": "tslint --type-check --project './tsconfig.json' -e 'node_modules/**'",
    "lint:fix": "yarn run lint -- --fix",
    "ngc": "ngc -p tsconfig-aot.json",
    "cleanup": "rimraf target/{aot,www}",
    "clean-www": "rimraf target//www/app/{src,target/}",
    "start": "yarn run webpack:dev",
    "serve": "yarn run start",
    "build": "yarn run webpack:prod",
    "test": "karma start src/test/javascript/karma.conf.js",
    "test:watch": "yarn test -- --watch",
    "webpack:dev": "yarn run webpack-dev-server -- --config webpack/webpack.dev.js --progress --inline --hot --profile --port=9060 --watch-content-base",
    "webpack:build:main": "yarn run webpack -- --config webpack/webpack.dev.js --progress --profile",
    "webpack:build": "yarn run cleanup && yarn run webpack:build:main",
    "webpack:prod:main": "yarn run webpack -- --config webpack/webpack.prod.js --progress --profile",
    "webpack:prod": "yarn run cleanup && yarn run webpack:prod:main && yarn run clean-www",
    "webpack:test": "yarn run test",
    "webpack-dev-server": "node --max_old_space_size=4096 node_modules/webpack-dev-server/bin/webpack-dev-server.js",
    "webpack": "node --max_old_space_size=4096 node_modules/webpack/bin/webpack.js",
    "postinstall": "node node_modules/phantomjs-prebuilt/install.js"
  }
}
